'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _mergeTextNodes = require('./merge-text-nodes');

var _mergeTextNodes2 = _interopRequireDefault(_mergeTextNodes);

var _flattenTree = require('./flatten-tree');

var _flattenTree2 = _interopRequireDefault(_flattenTree);

var _handleWhitespace = require('./handle-whitespace');

var _handleWhitespace2 = _interopRequireDefault(_handleWhitespace);

var _minimumContent = require('./minimum-content');

var _minimumContent2 = _interopRequireDefault(_minimumContent);

var _removeExtraLinebreaks = require('./remove-extra-linebreaks');

var _removeExtraLinebreaks2 = _interopRequireDefault(_removeExtraLinebreaks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (opts) {
  var mergeTextNodes = (0, _mergeTextNodes2.default)(opts);

  return function (input) {
    var tree = (0, _flattenTree2.default)(input);
    mergeTextNodes(tree);
    (0, _handleWhitespace2.default)(tree);
    (0, _minimumContent2.default)(tree);
    (0, _removeExtraLinebreaks2.default)(tree);
    return tree;
  };
};